Qt 5.7 | Qt Charts | C++ Classes | QPercentBarSeries

Qt 5.7.1 Reference Documentation

# QPercentBarSeries Class

Series for creating percent bar chart. More...

Header: | #include <QPercentBarSeries>
Instantiated By: | PercentBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QPercentBarSeries(QObject *parent = Q_NULLPTR)
| ~QPercentBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

Series for creating percent bar chart.

QPercentBarSeries represents a series of data shown as bars. The purpose of this class is to draw bars as stacks, where each bar is shown as percentage of all bars in that category. QPercentBarSeries groups the data from sets to categories, which are defined by a QStringList. Bars with zero value are not drawn.

See the percent bar chart example to learn how to create a percent bar chart.

See also QBarSet, QStackedBarSeries, and QAbstractBarSeries.

## Member Function Documentation

### QPercentBarSeries::QPercentBarSeries(QObject *parent = Q_NULLPTR)

Constructs empty QPercentBarSeries. QPercentBarSeries is QObject which is a child of a parent.

### QPercentBarSeries::~QPercentBarSeries()

Destructor. Removes series from chart.

### `[virtual]` QAbstractSeries::SeriesType QPercentBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns QAbstractSeries::SeriesTypePercentBar.